Subject: Re: Cygwin 3.1.7 - xterm v360.1 - columns pasted from Excel no longer separated by tab
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 17 Dec 2020 23:22:58 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2020-12-17 16:03, Bill Shaffer via Cygwin wrote:
> Hello:
> 
> I am using Cygwin 3.1.7 and xterm 360.1 on Windows 10.  I run the X server and 
> work in xterm windows.  When I copy a selection from an Excel spreadsheet and 
> paste it into a vi session in an xterm window, the spreadsheet columns are 
> separated by spaces.  If I paste into a vi session in a cygwin 3.1.7 console, I 
> get tabs as separators.  If I run xterm on another host and send the display to 
> my X Server, I get tabs.
> 
> In my previous version of Cygwin - which was probably about 2-3 years old - when 
> I did this the columns were separated by tabs.  I still see tab separators in 
> Cygwin 1.7.31 (Windows 8.1).  I can type tabs just fine in the 3.1.7 xterm.  It 
> seems to be something in the local xterm that is converting the pasted tabs to 
> spaces.  I don't think it's the copy portion of the operation, or I wouldn't get 
> tabs in the console.
> 
> Did something change at some point that would explain this behavior?  Is there a 
> way to get back to having the columns separated by tabs?
> 
> I understand that usually copying and pasting implies visible characters and 
> that tabs are usually only visible as spaces, and this is the result I would 
> expect when copying visible text separated by tabs.  However, when pasting from 
> Excel, the columns have always come across separated by tabs - and still do, 
> except for in xterm.
> 
> My TERM is xterm - I've tried vt100 and vt220 as well.  My TERM is also xterm in 
> the working examples above.

The consensus on X is that the characters copied are determined by the source, 
and Windows apps often offer their clipboard info in multiple formats, if you 
check using an app that allows you to choose the format pasted e.g LibreOffice.

Having said that, editors also have settings that determine how pasted tabs are 
treated, and that may depend on the target window settings for the file type 
when pasted.
On Cygwin and Linux that probably depends on the vim compatibility settings, and 
settings in:

	$ strings -n5 /bin/vi | egrep '^[.~$/].*(ex|vim?)rc' | sort -u
	$HOME/.exrc
	$HOME/.virc
	.exrc
	.virc
	/etc/virc
	~/.vim/vimrc

whereas BSD systems may still provide original n/vi.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple